Bug 1028093 - vdsm.spec missing lvm2 >= 2.02.100-5 requirement
vdsm.spec missing lvm2 >= 2.02.100-5 requirement
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Dan Kenigsberg
Leonid Natapov
: Regression, ZStream
Depends On:
Blocks: 1047890
  Show dependency treegraph
Reported: 2013-11-07 11:20 EST by Aharon Canan
Modified: 2016-02-10 11:46 EST (History)
15 users (show)

See Also:
Fixed In Version: 4.13.0-0.7.beta1.el6ev.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1047890 (view as bug list)
Last Closed: 2014-01-21 11:21:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vdsm (11.50 MB, text/x-log)
2013-11-07 11:20 EST, Aharon Canan
no flags Details

  None (edit)
Description Aharon Canan 2013-11-07 11:20:57 EST
Created attachment 821248 [details]

Description of problem:
Trying to create new block SD using is22 fails due to new vgcreate parameter (--ignoreskippedcluster) in case using old lvm version

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create new block storage domain when host installed with lvm2-2.02.100-3.el6

upgrade lvm2 to lvm2-2.02.100-8.el6

Actual results:
create fails

Expected results:
when installing vdsm it should upgrade the lvm version.

Additional info:

Thread-60::DEBUG::2013-11-07 17:39:10,488::lvm::309::Storage.Misc.excCmd::(cmd) FAILED: <err> = "vgs: unrecognized option '--ignoreskippedcluster'\n  Error during parsing of command line.\n"; <rc> = 3
Comment 1 Dan Kenigsberg 2013-11-07 11:56:56 EST
dist-git's vdsm.spec should be updated so that it matches rhev-3.0's branch on gerrit.eng.lab.
Comment 2 Eyal Edri 2013-11-07 13:21:38 EST
how is that relevant to the bug?
and i don't understand what change you expect to be on the spec file?
Comment 3 Dan Kenigsberg 2013-11-07 15:57:54 EST
The vdsm.spec in dist-git has

  Requires: lvm2 >= 2.02.95-10.el6_3.2

but Federico has changed that to

  Requires: lvm2 >= 2.02.100-5

Please do a regular vimdiff between the two (I think that my old prebrew script used to do that). Currently you have a similar problem with libvirt.

I believe that we are better off since you have not taken http://gerrit.ovirt.org/#/c/20489/ into the build, so you may want to keep it out; please discuss this latter issue with Yaniv first.
Comment 4 Eyal Edri 2013-11-10 03:02:33 EST
yes, i found that out after you mentioned it and i verified it by looking at the src rpms of vdsm.

we fixed the spec file on distgit, but imo i think using vimdiff is an open for such bugs and problems.
we should automate this process ASAP, i don't see a reason to do this manually.
every patch that changes spec file should get it and applied, and since we know the lines that are unique to distgit, this shouldn't be a problem.

i've asked kiril to start thinking on automating this.

as for http://gerrit.ovirt.org/#/c/20489/, it's already in, i strongly disagree on hacking manually the spec file and deciding what goes into distgit and what not. if you believe it shouldn't get it, we should put a revert patch in the d/s patches for it.
Comment 5 Leonid Natapov 2013-11-21 09:28:52 EST
fixed. 4.13.0-0.9.beta1.el6ev.x86_64
Comment 6 Charlie 2013-11-27 19:29:31 EST
This bug is currently attached to errata RHBA-2013:15291. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 8 Dan Kenigsberg 2013-12-02 04:18:06 EST
This bug is due to a temporary build system glitch. It has no customer-facing effect and thus, should not be documented.
Comment 11 Dan Kenigsberg 2013-12-20 05:21:42 EST
Yep, it's missing from 3.2.z:

Comment 15 errata-xmlrpc 2014-01-21 11:21:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.